# Extensions

API extensions management

## List API extensions

> Lists Block Storage API extensions

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"extensions","description":"API extensions management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"Extensions":{"type":"object","properties":{"extensions":{"type":"array","items":{"$ref":"#/components/schemas/Extension"}}}},"Extension":{"type":"object","properties":{"alias":{"description":"The alias for the extension","type":"string"},"description":{"description":"The extension description","type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/Link"}},"name":{"description":"The name of the extension","type":"string"},"updated":{"format":"date-time","type":"string"}}},"Link":{"type":"object","properties":{"href":{"format":"uri","type":"string"},"rel":{"type":"string"},"type":{"type":"string"}}}}},"paths":{"/v3/extensions":{"get":{"tags":["extensions"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Extensions"}}},"description":"OK"}},"summary":"List API extensions","description":"Lists Block Storage API extensions"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform9.com/api-docs/block-storage-service/extensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
